Delete a template
http
DELETE https://services.leadconnectorhq.com/emails/builder/{locationId}/{templateId}Authorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Path parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
locationId | string | Yes | ve9EPM428h8vShlRW1KT | |
templateId | string | Yes | zYy3YOUuHxgomU1uYJty |
Responses
200 - Success
ok(string): ok Example:truetraceId(string): trace id Example:0c52e980-41f6-4be7-8c4b-32332ss
json
{
"ok": "true",
"traceId": "0c52e980-41f6-4be7-8c4b-32332ss"
}400 - Bad Request
json
{}404 - Not Found
422 - Unprocessable Entity
json
{}Example
curl -X DELETE 'https://services.leadconnectorhq.com/emails/builder/YOUR_locationId/YOUR_templateId' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'const response = await fetch('https://services.leadconnectorhq.com/emails/builder/YOUR_locationId/YOUR_templateId', {
method: 'DELETE',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();import os, requests
response = requests.request(
'DELETE',
'https://services.leadconnectorhq.com/emails/builder/YOUR_locationId/YOUR_templateId',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/emails/builder/YOUR_locationId/YOUR_templateId');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);